Package org.opensaml.core.config

# Class InitializationService

java.lang.Object
org.opensaml.core.config.InitializationService

public class InitializationService extends Object
Service which initializes OpenSAML library modules using the Java Services API.

See also `Initializer`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final org.slf4j.Logger`
`LOG`
Logger.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`InitializationService()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`private static ServiceLoader<Initializer>`
`getServiceLoader()`
Obtain the service loader instance used in the initialization process.
`static void`
`initialize()`
Initialize all the registered library modules.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOG

@Nonnull private static final org.slf4j.Logger LOG
Logger.

## Constructor Details

### InitializationService

protected InitializationService()
Constructor.

## Method Details

### initialize

public static void initialize() throws InitializationException
Initialize all the registered library modules.

Throws:
  `InitializationException` - if initialization did not complete successfully

### getServiceLoader

@Nonnull private static ServiceLoader<Initializer> getServiceLoader()
Obtain the service loader instance used in the initialization process.

Returns:
  the service loader instance to use